Bug 111536 - please add cryptoloop glue patch
please add cryptoloop glue patch
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
: FutureFeature
Depends On:
Blocks: 56698
  Show dependency treegraph
Reported: 2003-12-04 17:52 EST by James Ralston
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-09 07:11:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description James Ralston 2003-12-04 17:52:13 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Although the CryptoAPI patch has been officially integrated into the
Linux kernel, the glue code needed for encrypted loopback support was

While I suspect that the cryptoloop glue patch will probably be
integrated upstream, until that happens, anyone who needs encrypted
loopback support must manually build their own kernels.

This patch is the simplest (i.e., least backward-compatible with the
old kerneli patch) way to add the cryptoloop glue:


Would integrating this patch into the Fedora kernel be reasonable?

Note that I've done most of the work for you:


Version-Release number of selected component (if applicable):
Comment 1 W. Michael Petullo 2003-12-05 22:36:00 EST
For what its worth, Cryptoloop (and CryptoAPI) are both included in
the standard Linux 2.6-testX kernel.
Comment 2 W. Michael Petullo 2004-02-12 12:00:53 EST
Util-linux 2.12 is also required.  See also bug #56698.  This bug
exists in Fedora Core 2 Test 1 because util-linux 2.12pre3 does not
have the newest cryptoloop support.
Comment 3 W. Michael Petullo 2004-02-17 11:31:40 EST
The util-linux included in rawhide now contains full cryptoloop
support (see the resolved bug #56698).  Does the 2.6 kernel in rawhide
contain a working cryptoloop yet?  I use a custom PowerPC kernel, so I
can't easily test this.
Comment 4 James Ralston 2004-04-09 07:11:29 EDT
Actually, as far as I've been able to tell, the 2.6 kernels do NOT
contain a working cryptoloop.  But since the crytoloop interface has
been deprecated anyway (see bug 56698 and bug 120487), it's
irrelevant, so I'm closing this bug.

(I always find it amusing when bugs are opened, discussed, and then
eventually closed without any involvement from Red Hat. ;)

Note You need to log in before you can comment on or make changes to this bug.